-- phpMyAdmin SQL Dump
-- version 4.5.4.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 25, 2022 at 05:07 AM
-- Server version: 5.7.11
-- PHP Version: 5.6.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `inet_graduate_tracer_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_admin`
--

CREATE TABLE `tbl_admin` (
  `admin_id` int(11) NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL,
  `complete_name` varchar(100) NOT NULL,
  `designation` varchar(30) NOT NULL,
  `email_address` varchar(50) NOT NULL,
  `contact` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_course`
--

CREATE TABLE `tbl_course` (
  `course_id` int(11) NOT NULL,
  `course_code` varchar(15) NOT NULL,
  `course_name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employment_profile`
--

CREATE TABLE `tbl_employment_profile` (
  `employee_id` int(11) NOT NULL,
  `graduate_id` int(11) NOT NULL,
  `job_name` varchar(30) NOT NULL,
  `description` varchar(100) NOT NULL,
  `upload_proof_of_employment` text NOT NULL,
  `organization_type` int(1) NOT NULL,
  `status` int(1) NOT NULL,
  `is_related_to_course` int(1) NOT NULL,
  `remarks` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_events`
--

CREATE TABLE `tbl_events` (
  `event_id` int(11) NOT NULL,
  `event_name` varchar(30) NOT NULL,
  `description` varchar(100) NOT NULL,
  `date_of_event` date NOT NULL,
  `time_of_event` time NOT NULL,
  `banner_image` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_front_end_pages`
--

CREATE TABLE `tbl_front_end_pages` (
  `front_end_id` int(11) NOT NULL,
  `home_page` text NOT NULL,
  `contact_page` text NOT NULL,
  `about_page` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_graduate_profile`
--

CREATE TABLE `tbl_graduate_profile` (
  `profile_id` int(11) NOT NULL,
  `lastname` varchar(30) NOT NULL,
  `firstname` varchar(30) NOT NULL,
  `middlename` varchar(30) NOT NULL,
  `course_id` int(11) NOT NULL,
  `gender` int(1) NOT NULL,
  `civil_status` int(1) NOT NULL,
  `email_address` varchar(50) NOT NULL,
  `contact_info` varchar(50) NOT NULL,
  `profile_image` text NOT NULL,
  `facebook_id` varchar(50) NOT NULL,
  `twitter_id` varchar(50) NOT NULL,
  `street_address` varchar(50) NOT NULL,
  `city` varchar(50) NOT NULL,
  `state_province_region` varchar(100) NOT NULL,
  `zip_postal_code` varchar(15) NOT NULL,
  `country` varchar(50) NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_job_opportunities`
--

CREATE TABLE `tbl_job_opportunities` (
  `job_id` int(11) NOT NULL,
  `job_name` varchar(30) NOT NULL,
  `description` text NOT NULL,
  `requirements` text NOT NULL,
  `location` varchar(100) NOT NULL,
  `starting_salary` varchar(10) NOT NULL,
  `contact_info` varchar(15) NOT NULL,
  `status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_admin`
--
ALTER TABLE `tbl_admin`
  ADD PRIMARY KEY (`admin_id`);

--
-- Indexes for table `tbl_course`
--
ALTER TABLE `tbl_course`
  ADD PRIMARY KEY (`course_id`);

--
-- Indexes for table `tbl_employment_profile`
--
ALTER TABLE `tbl_employment_profile`
  ADD PRIMARY KEY (`employee_id`),
  ADD KEY `graduate_id` (`graduate_id`);

--
-- Indexes for table `tbl_events`
--
ALTER TABLE `tbl_events`
  ADD PRIMARY KEY (`event_id`);

--
-- Indexes for table `tbl_front_end_pages`
--
ALTER TABLE `tbl_front_end_pages`
  ADD PRIMARY KEY (`front_end_id`);

--
-- Indexes for table `tbl_graduate_profile`
--
ALTER TABLE `tbl_graduate_profile`
  ADD PRIMARY KEY (`profile_id`),
  ADD KEY `course_id` (`course_id`);

--
-- Indexes for table `tbl_job_opportunities`
--
ALTER TABLE `tbl_job_opportunities`
  ADD PRIMARY KEY (`job_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_admin`
--
ALTER TABLE `tbl_admin`
  MODIFY `admin_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_course`
--
ALTER TABLE `tbl_course`
  MODIFY `course_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_employment_profile`
--
ALTER TABLE `tbl_employment_profile`
  MODIFY `employee_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_events`
--
ALTER TABLE `tbl_events`
  MODIFY `event_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_front_end_pages`
--
ALTER TABLE `tbl_front_end_pages`
  MODIFY `front_end_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_graduate_profile`
--
ALTER TABLE `tbl_graduate_profile`
  MODIFY `profile_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_job_opportunities`
--
ALTER TABLE `tbl_job_opportunities`
  MODIFY `job_id` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
